import React from "react";
import accordionPropTypes, { defaultProps, propsDescription } from "./Accordion.propTypes";
import SkeletonThemeWrapper from "../../customization-cornor/skeletonCustomization";

let SkeletonWrapper = props => {
  let renderProps = {};
  let {
    renderComponent,
    ...basicProps
  } = props;
  return /*#__PURE__*/React.createElement(SkeletonThemeWrapper, {
    basicProps: basicProps,
    renderProps: renderProps,
    component: renderComponent
  });
};

export default function AccordionBehaviour(props) {
  return /*#__PURE__*/React.createElement(SkeletonWrapper, props);
}
AccordionBehaviour.propTypes = accordionPropTypes;
AccordionBehaviour.defaultProps = defaultProps;
AccordionBehaviour.propsDescription = propsDescription;